# Package of Pathways-on-Cloud utilities

Pathways is a novel compute orchtestration method that enables single controller runtime ML workloads.
This approach unlocks a range of new capabilities for training resiliency, multihost inference and interactive development on cluster of arbitrary scale.
Pathways simplifies large-scale machine learning computations by enabling a single JAX client to orchestrate workloads across multiple large TPU slices, potentially spanning hundreds or thousands of TPU chips. Pathways is used internally at Google to train large models like Gemini. Pathways on Cloud brings the same benefits to Google Cloud customers.

To make it as easy as possible for you to leverage Pathways on Cloud, we've bundled the necessary cloud-specific integrations into a single Python package and a set of container images.
This package handles the underlying adaptations required for the cloud environment, allowing you to focus on your core workflows with minimal setup.

# Further Reading
[Pathways Research Paper](https://arxiv.org/abs/2203.12533)

[More resources coming Soon]


# How to get access to Pathways on Cloud

Pathways on Cloud is currently in Preview.
Please contact your Google Cloud account representative to request access to Pathways.


